﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Salary
{
    [Serializable]
    public class SalaryCond
    {
        public string 姓名 { get; set; }
        public double 事假小时 { get; set; }
        public string 员工性质 { get; set; }
        public double 周末加班合计小时 { get; set; }
        public double 周末顶班合计小时 { get; set; }
        public double 基本工资 { get; set; }
        public double 奖金点数 { get; set; }
        public double 学历补贴 { get; set; }
        public double 实际出勤天数 { get; set; }
        public double 平时加班合计小时 { get; set; }
        public double 平时顶班合计小时 { get; set; }
        public double 旷工小时 { get; set; }
        public double 月工作天数 { get; set; }
        public double 每点奖金 { get; set; }
        public double 气味津贴 { get; set; }
        public string 状态 { get; set; }
        public double 用餐费 { get; set; }
        public double 病假小时 { get; set; }
        public double 粉尘津贴 { get; set; }
        private ResultCond _结果 = new ResultCond();

        public ResultCond ResultCond
        {
            get { return _结果; }
            set { _结果 = value; }
        }
        public double 节假日加班合计小时 { get; set; }
        public double 节假日顶班合计小时 { get; set; }
        public string 计薪方式 { get; set; }
        public double 转正前天数 { get; set; }
        public double 转正后天数 { get; set; }
        public double 餐补 { get; set; }
        public double 高温津贴 { get; set; }
    }

    [Serializable]
    public class ResultCond
    {
        public double 实发工资 { get; set; }
        public double 实发基本工资 { get; set; }


        public double 节假日加班费用 { get; set; }
        public double 节假日顶班费用 { get; set; }
        public double 周末加班合计费用 { get; set; }
        public double 周末顶班费用 { get; set; }
        public double 奖金数 { get; set; }       

        public double 实发学历补贴 { get; set; }

        

        public double 实发气味津贴 { get; set; }

        public double 实发粉尘津贴 { get; set; }

        public double 实发高温津贴 { get; set; }

        public double 平时加班费用 { get; set; }

        public double 平时顶班费用 { get; set; }
        public double 事假扣除 { get; set; }
        public double 旷工扣除 { get; set; }

        public double 病假扣除 { get; set; }
    }


}
